service: currencies-service

frameworkVersion: '2'

useDotenv: true

plugins:
  - serverless-bundle

custom:
  stage: ${opt:stage, 'develop'}
  bundle:
    aliases:
      - '@src': src
      - '@mocks': src/__mocks__
      - '@configurations': src/configurations
      - '@controllers': src/controllers
      - '@core': src/core
      - '@errors': src/errors
      - '@helpers': src/helpers
      - '@interfaces': src/interfaces
      - '@models': src/models
      - '@repositories': src/repositories
      - '@services': src/services
      - '@utilities': src/utilities
    disableForkTsChecker: true
    ignorePackages:
      - pg-native

provider:
  name: aws
  runtime: nodejs12.x
  region: ${env:AWS_DEFAULT_REGION}
  environment:
    STAGE_NAME: ${self:custom.stage}
    SERVICE_NAME: ${self:service}

functions:
  main:
    memorySize: 256
    timeout: 60
    handler: src/handler.main
